com.aliyun.svideosdk.editor

## Interface AliyunRollCaptionComposer.StyleEditor

- Enclosing interface:
    AliyunRollCaptionComposer

      public static interface AliyunRollCaptionComposer.StyleEditor

  字幕样式编辑器

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `done()` Finish edit and apply the changes
    `AliyunRollCaptionComposer.StyleEditor` | `setDefaultTextSize(int unit, int size)` Set default text size.
    `AliyunRollCaptionComposer.StyleEditor` | `setTextColor(int color)` Set text color
    `AliyunRollCaptionComposer.StyleEditor` | `setTextFont(Source fontSource)` Set text font path
    `AliyunRollCaptionComposer.StyleEditor` | `setTextFont(java.lang.String font)` Deprecated. Replaced by `setTextFont(Source)`.
    `AliyunRollCaptionComposer.StyleEditor` | `setTextStrokeColor(int color)` Set text stroke color

- - ### Method Detail

    - #### setTextColor

          AliyunRollCaptionComposer.StyleEditor setTextColor(int color)

      Set text color
      Parameters:
        `color` -
      Returns:

    - #### setTextStrokeColor

          AliyunRollCaptionComposer.StyleEditor setTextStrokeColor(int color)

      Set text stroke color
      Parameters:
        `color` -
      Returns:

    - #### setTextFont

          @Deprecated
          AliyunRollCaptionComposer.StyleEditor setTextFont(java.lang.String font)

      Deprecated. Replaced by `setTextFont(Source)`.
      Set text font path
      Parameters:
        `font` -
      Returns:

    - #### setTextFont

          AliyunRollCaptionComposer.StyleEditor setTextFont(Source fontSource)

      Set text font path
      Parameters:
        `fontSource` -
      Returns:

    - #### setDefaultTextSize

          AliyunRollCaptionComposer.StyleEditor setDefaultTextSize(int unit,
                                                                   int size)

      Set default text size. If text size is too large it will be adjusted to a fit size.
      Parameters:
        `unit` - `android.util.TypedValue`
        `size` -
      Returns:

    - #### done

          void done()

      Finish edit and apply the changes